Bug 34515 - Writer should (optionally) remember and restore the last shown page (=not the same as edited!) of a document
Summary: Writer should (optionally) remember and restore the last shown page (=not the...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 42686 44537 (view as bug list)
Depends on:
Blocks: Writer-UX
  Show dependency treegraph
 
Reported: 2011-02-20 21:03 UTC by Fahad Al-Saidi
Modified: 2019-08-03 21:59 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fahad Al-Saidi 2011-02-20 21:03:30 UTC
Writer should optionally remember the current page that was being viewed when the document file was last closed.

Ex. I'm reading or editing a very long paper (over 100 pages) which I couldn't read all at once. The first time I open the file, I stop on page 16. The next time I open this file again the reader should restore the last recorded position and open p16 again; not start over from the beginning.

This feature is implemented in Okular and Evince.
Comment 1 Rainer Bielefeld Retired 2011-02-20 22:20:19 UTC
I believe such a function should be available for all LibO applications or no one, but not only for WRITER.

@ Fahad Al-Saidi
This function is more or less implemented, a document will reopen with the view you saw when you saved the document the last time. 

It seems you want a function that stores latest view independent from document contents?

Please contribute information concerning your OS and Platform!
Comment 2 Fahad Al-Saidi 2011-02-21 01:15:43 UTC
(In reply to comment #1)
> I believe such a function should be available for all LibO applications or no
> one, but not only for WRITER.
> 
> @ Fahad Al-Saidi
> This function is more or less implemented, a document will reopen with the view
> you saw when you saved the document the last time. 
> 
> It seems you want a function that stores latest view independent from document
> contents?
> 
> Please contribute information concerning your OS and Platform!

I don't get what you mention here, I am using Kubuntu 10.10 and LibreOffice 3.3. In other machine which is windows os I downloaded LibreOffice Portable and same thing. 

Every time I have to start a scrolling down form the beginning of the document to reach the last point and there is no difference in editing or viewing mode.
Comment 3 Rainer Bielefeld Retired 2011-03-21 23:02:27 UTC
[Reproducible] with "LibreOffice 3.3.2RC2  – WIN7  Home Premium  (64bit) German UI [OOO330m19 (Build:202 / tag 3.3.2.2)]". Most documents open with focus to the top of the first page, some with focus to somewhere on the first page, with a sample of 10 documents today I had no one what started with the focus before I closed it. 
Currently I can not tell when it started for me that I have the same behavior as reported.
Same problem with DRAW and Presentation, but ok with CALC.
Comment 4 RGB 2011-05-16 15:48:01 UTC
You need to enter some info on Tools → Options → LibreOffice → User data: if that info match the file's author info the document will open on the last edited point.
Comment 5 Fahad Al-Saidi 2011-05-16 23:00:31 UTC
(In reply to comment #4)
> You need to enter some info on Tools → Options → LibreOffice → User data: if
> that info match the file's author info the document will open on the last
> edited point.

Thanks for the hint but this will put you on last place you edited it. What I want to put me on last page I read it like Okular and Evince
Comment 6 Björn Michaelsen 2011-12-23 11:46:28 UTC Comment hidden (obsolete)
Comment 7 sasha.libreoffice 2012-01-04 23:17:59 UTC
reproduced on LibO 3.5.0 beta 1
Comment 8 sasha.libreoffice 2012-01-09 01:37:54 UTC
*** Bug 42686 has been marked as a duplicate of this bug. ***
Comment 9 sasha.libreoffice 2012-01-09 01:40:26 UTC
Copy-paste explanation how to solve problem:
Normally it works if you have defined your identity data in Tools > Options >
LibreOffice > Identity data (after the modification, restart LibO including the
quickstarter).
Comment 10 Rainer Bielefeld Retired 2012-04-06 01:09:41 UTC
Yes, it's related to User data and Author information in document, but currently I do not know all details (for example concerning manually added author information, ...), I will do some research later
Comment 11 Cor Nouws 2012-04-15 03:45:58 UTC
the requested behaviour is a change of, or addition to the current one > enhancement
Comment 12 sasha.libreoffice 2012-05-07 05:48:39 UTC
*** Bug 44537 has been marked as a duplicate of this bug. ***
Comment 13 Emir Sarı (away) 2012-10-18 01:42:12 UTC
This feature should be implemented ASAP I think. Every time I must scroll down and find the place I left reading.
Comment 14 Pierre-Alain Dorange 2014-01-21 20:32:58 UTC
I remember a period (don't exactly which version but i was still using OpenOffice a that time and it was probably release 3.x) when OpenOffice "remember" the last editing/viewing position when saving.
When you reopen the document, the viewing/editing was restored, that was fine.

Now, LibreOffice (since 4.x but even before) open the document and position the edit/view at the beginning.
Very annoying when working every day on the same long document, have to remember where we're then...

And yes this "function" works when you fill the user form (in Preferences, or Tool/option) but it also must work when it's not filled.
I assume not a lot of people fill-in this form.
Comment 15 Andy 2014-01-22 12:31:34 UTC
The logic behind this behaviour seems to be collaborative: if a group of people is working together on a document, each of them would like to have it opening at the specific place where HE/SHE left it, not the other members of the group. For this, the file saves where it was closed last by each specific author, and it is reopened at that place depending on the author that is opening it. If you work on it as an anonymous, nothing about where you left is saved.
Comment 16 yousifjkadom 2018-07-10 10:56:15 UTC
I think it is better to add option make LO opened at last position viewed/edited regardless user data. You can make 3 options available for user TO SELECT which of then like: 

user will have 3 options:

- remember last position in regard to user data"
- remember last position regardless user data"
- do not remember last position

I think this will be the best solution for this long standing issue.
Comment 17 Andy 2018-07-10 10:58:20 UTC
Yes I agree. In some cases, in collaborative documents, you would need to go straight where the last author left.
Comment 18 MartinPC 2018-07-23 00:31:46 UTC
In LibreOffice 6.x, I'm experiencing different behaviors in Windows and Linux, and it doesn't appear to depend on the presence or absence of User Data in LibreOffice's Options.

I have LibreOffice 6.0.5.2 installed on my Window 7 computer (a native, bare-metal install). I recently built a Linux Mint 19 VirtualBox guest on that computer, and LibreOffice 6.0.3.2 is the version in Linux Mint 19's repository. To personalize LO in the Linux guest, I simply copied and pasted my LO profile from Windows to Linux. Everything seems to work just fine, pretty much exactly the same on both platforms, except for one thing:

When I reopen a previously edited ODT file in Windows, it always opens at the beginning of the document. When I open a previously edited ODT file in Linux, it opens at the position the cursor was located the last time the document was saved.

Three things to note:

(1) This happens with *identical documents* -- not just identical copies, one in Windows and one in Linux but *the exact same Windows files,* accessed on the Windows file system by Linux via VirtualBox shared folders. (I don't think I've ever saved any LO documents to the Linux virtual drive, since I have limited virtual drive space to play with and don't want any documents to possibly end up lost, trapped in a borked virtual machine.)

(2) It doesn't matter which OS I last *saved* the ODT file from. It always opens at the beginning in Windows and it always opens at the previous cursor position in Linux.

(3) This happened both *before* I entered any info in Tools > Options > LibreOffice > User Data and it continues to happen now that I *have*.

My workaround in Windows has been to record macros that bookmark my reading, editing, formatting, and spellchecking locations, followed by a save. When I reopen the document, I just jump to the appropriate bookmark. (And since that's actually more versatile and specific than just relying on the program to automatically reopen at the last cursor location, I use these macros in Linux as well.) But I nonetheless second the original bug-reporter's point, namely, that it would be nice if documents reopened at the same location that was displayed when the documents were closed, or at least saved, regardless of where the cursor was located. It's quite easy to scroll your way through a document, leaving the cursor *dozens of pages* behind the point at which you want to resume reading.
Comment 19 crxssi 2019-08-03 21:59:36 UTC
I discovered the same problem with my recent Mageia Linux 7.1 install with LO 6.2.3.2.  I never had this problem before.  I never had to set any user data every time.

Now no document will ever remember and restore where I was viewing when I saved it anymore.  Very annoying.... I never realized how important that feature was until it stopped working.